#include "../modeler/modelerdll.h"

#define SPHERE_RADIUS		1

MODEL("sphere");

bool init(void *args)
{
	scale( SPHERE_RADIUS, "radius", 0.1f, 3.0f, 0.01f, 1.0f );    
    return true;
}

void redraw(int drawmode)
{
	glMatrixMode( GL_MODELVIEW );
	glLoadIdentity();
	glTranslatef( 0.0, 0.0, -15.0 );
	ambient_color( 0.0, 0.0, 0.2 );
	diffuse_color( 0.0, 0.3, 0.8 );
	sphere( 1.0 );
	sphere( get_control_d( SPHERE_RADIUS ) );
}